Subject: [BUG] send-email: alias expansion broken

From: Michael J Gruber <[email-masked]>
Date: Fri, 14 Oct 2011 14:29:27 +0200

cec5dae (use new Git::config_path() for aliasesfile, 2011-09-30)

broke the expansion of aliases for me:

./git-send-email --cc=junio  --dry-run
0001-t7800-avoid-arithmetic-expansion-notation.patch
0001-t7800-avoid-arithmetic-expansion-notation.patch
Who should the emails appear to be from? [Michael J Gruber
<[email-masked]>]
Emails will be sent from: Michael J Gruber <[email-masked]>
Dry-OK. Log says:
Sendmail: /home/mjg/bin/msmtp-fastmail-git -i [email-masked] junio
[email-masked]
From: Michael J Gruber <[email-masked]>
To: [email-masked]
Cc: junio
...

Happens with both "--cc junio" and "--cc=junio".

Reverting cec5dae brings my aliases back. Relevant config:

git config --get-regexp sendemail.alias\*
sendemail.aliasesfile /home/mjg/git/gitauthors
sendemail.aliasfiletype mutt

Can I please have alias expansion back?

No, I don't know what cec5dae tries to achieve, and I lack the perl fu
to fix it.

Michael